field_expr_v2_nonlinear_terminal_field< T, M, Diff >
Inheritance diagram for field_expr_v2_nonlinear_terminal_field< T, M, Diff >:

## Public Types

using | rep = field_expr_v2_nonlinear_terminal_field_rep< T, M, Diff >
using | base = smart_pointer< rep >
using | size_type = typename rep::size_type
using | memory_type = typename rep::memory_type
using | result_type = typename rep::result_type
using | float_type = typename rep::float_type
using | scalar_type = typename rep::scalar_type
using | value_type = typename rep::value_type
using | const_iterator = typename rep::const_iterator
Public Types inherited from smart_pointer< field_expr_v2_nonlinear_terminal_field_rep< T, M, Diff > >
typedef field_expr_v2_nonlinear_terminal_field_rep< T, M, Diff > | handled_type
typedef base::internal | internal

## Public Member Functions

template<class Expr , class Sfinae = typename std::enable_if<details::is_field_convertible<Expr>::value>::type>
| field_expr_v2_nonlinear_terminal_field (const Expr &expr, const differentiate_option &gopt=differentiate_option())
bool | have_homogeneous_space (space_basic< scalar_type, memory_type > &Vh) const
const_iterator | begin_dof () const
space_constant::valued_type | valued_tag () const
const geo_basic< T, M > & | get_geo () const
const field_basic< T, M > & | expr () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
template<class Value >
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_L, const geo_element &L, const side_information_type &sid, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
template<class Value >
bool | valued_check () const
Public Member Functions inherited from smart_pointer< field_expr_v2_nonlinear_terminal_field_rep< T, M, Diff > >
| smart_pointer (field_expr_v2_nonlinear_terminal_field_rep< T, M, Diff > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< field_expr_v2_nonlinear_terminal_field_rep< T, M, Diff > > &x)
smart_pointer< field_expr_v2_nonlinear_terminal_field_rep< T, M, Diff > > & | operator= (const smart_pointer< field_expr_v2_nonlinear_terminal_field_rep< T, M, Diff > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = rep::valued_hint

## Detailed Description

### template<class T, class M, details::differentiate_option::type Diff>
class rheolef::details::field_expr_v2_nonlinear_terminal_field< T, M, Diff >

Definition at line 801 of file field_expr_terminal.h.

## Member Typedef Documentation

## rep

using rep = field_expr_v2_nonlinear_terminal_field_rep<T,M,Diff>

Definition at line 806 of file field_expr_terminal.h.

## base

using base = smart_pointer<rep>

Definition at line 807 of file field_expr_terminal.h.

## size_type

using size_type = typename rep::size_type

Definition at line 808 of file field_expr_terminal.h.

## memory_type

using memory_type = typename rep::memory_type

Definition at line 809 of file field_expr_terminal.h.

## result_type

using result_type = typename rep::result_type

Definition at line 810 of file field_expr_terminal.h.

## float_type

using float_type = typename rep::float_type

Definition at line 811 of file field_expr_terminal.h.

## scalar_type

using scalar_type = typename rep::scalar_type

Definition at line 812 of file field_expr_terminal.h.

## value_type

using value_type = typename rep::value_type

Definition at line 813 of file field_expr_terminal.h.

## const_iterator

using const_iterator = typename rep::const_iterator

Definition at line 831 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_field()

field_expr_v2_nonlinear_terminal_field | ( | const Expr & | expr,
|  | const differentiate_option & | gopt = `differentiate_option()`
| ) |  |

explicit

Definition at line 821 of file field_expr_terminal.h.

## Member Function Documentation

## have_homogeneous_space()

bool have_homogeneous_space | ( | space_basic< scalar_type, memory_type > & | Vh | ) | const

Definition at line 828 of file field_expr_terminal.h.

## begin_dof()

const_iterator begin_dof | ( |  | ) | const

Definition at line 832 of file field_expr_terminal.h.

## valued_tag()

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 838 of file field_expr_terminal.h.

## get_geo()

const geo_basic<T,M>& get_geo | ( |  | ) | const

Definition at line 839 of file field_expr_terminal.h.

## expr()

const field_basic<T,M>& expr | ( |  | ) | const

Definition at line 840 of file field_expr_terminal.h.

## initialize() [1/2]

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 842 of file field_expr_terminal.h.

## initialize() [2/2]

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 847 of file field_expr_terminal.h.

## evaluate()

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 854 of file field_expr_terminal.h.

## evaluate_on_side()

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_L,
|  | const geo_element & | L,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 861 of file field_expr_terminal.h.

## valued_check()

bool valued_check | ( |  | ) | const

Definition at line 869 of file field_expr_terminal.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = rep::valued_hint

static

Definition at line 815 of file field_expr_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field_expr_terminal.h